ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Core.Opt.Stats

# Documentation

data SimplCount Source #

doSimplTick Source #

Arguments

:: Int | History size of the elaborate counter
-> Tick |
-> SimplCount |
-> SimplCount |

doFreeSimplTick :: Tick -> SimplCount -> SimplCount Source #

simplCountN :: SimplCount -> Int Source #

pprSimplCount :: SimplCount -> SDoc Source #

plusSimplCount :: SimplCount -> SimplCount -> SimplCount Source #

zeroSimplCount Source #

Arguments

:: Bool

- ddump-simpl-stats

-> SimplCount |

isZeroSimplCount :: SimplCount -> Bool Source #

hasDetailedCounts :: SimplCount -> Bool Source #

data Tick Source #

Constructors

PreInlineUnconditionally Id |
PostInlineUnconditionally Id |
UnfoldingDone Id |
RuleFired FastString |
LetFloatFromLet |
EtaExpansion Id |
EtaReduction Id |
BetaReduction Id |
CaseOfCase Id |
KnownBranch Id |
CaseMerge Id |
AltMerge Id |
CaseElim Id |
CaseIdentity Id |
FillInCaseDefault Id |
SimplifierDone |

#### Instances

Instances details

Outputable Tick Source # |
Instance details Defined in GHC.Core.Opt.Stats Methods ppr :: Tick -> SDoc Source #
Eq Tick Source # |
Instance details Defined in GHC.Core.Opt.Stats Methods (==) :: Tick -> Tick -> Bool # (/=) :: Tick -> Tick -> Bool #
Ord Tick Source # |
Instance details Defined in GHC.Core.Opt.Stats Methods compare :: Tick -> Tick -> Ordering # (<) :: Tick -> Tick -> Bool # (<=) :: Tick -> Tick -> Bool # (>) :: Tick -> Tick -> Bool # (>=) :: Tick -> Tick -> Bool # max :: Tick -> Tick -> Tick # min :: Tick -> Tick -> Tick #